Skip to content
getgeolens.com

Conformance

GET
/stac/conformance
curl --request GET \
--url https://example.com/stac/conformance

STAC API conformance classes.

Successful Response

Media type application/json
StacConformance

STAC conformance response.

object
conformsTo
required
Conformsto

List of conformance class URIs.

Array<string>
Example generated
{
"conformsTo": [
"example"
]
}

Bad request — invalid standards parameters

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}